{{page-title (capitalize (t "new base map"))}}

{{#if @model}}
  <Manage::Container @title={{capitalize (t "new base map")}} @breadcrumbs={{this.breadcrumbs}}>
    <:content>
      {{#unless @model.teams}}
        <Manage::Row>
          <div class="alert alert-danger" role="alert">
            <p>{{capitalize (t "team-needed-message")}}</p>
            <LinkTo @route="manage.teams.add" @query={{hash next="add.base-map"}} class="btn btn-secondary btn btn-add-team">
              <FaIcon @icon="plus" />
              {{capitalize (t "team")}}
            </LinkTo>
          </div>
        </Manage::Row>
      {{/unless}}

      <Manage::RowAdd @name="name" as |id|>
        <Input id={{id}} @value={{@model.baseMap.name}} class="form-control input-base-map-name" placeholder="What is the base map name?" />
      </Manage::RowAdd>

      <Manage::RowAdd @name="team" as |id|>
        {{#if @model.teams}}
          <Input::Select id={{id}} class="input-base-map-team" @onChange={{this.changeTeam}} @list={{@model.teams}} @value={{@model.baseMap.visibility.team}} />
        {{else}}
          <LinkTo @route="manage.teams.add" @query={{hash next="add.base-map"}} class="btn btn-secondary btn btn-add-team">
            <FaIcon @icon="plus" />
            {{capitalize (t "team")}}
          </LinkTo>
        {{/if}}
      </Manage::RowAdd>

      <Manage::Row @name="add">
        <Input::Button class="btn btn-primary btn-submit" @action={{this.save}} @disabled={{not this.canSubmit}}>
          {{capitalize (t "add")}}
        </Input::Button>
      </Manage::Row>
    </:content>
  </Manage::Container>
{{else}}
  <LoadingContainer />
{{/if}}